<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class MarketingDiscountConditionTypeEnum
{
    public const MIN_PRICE_ORDER = 2;
    public const MIN_PRICE_BRAND = 3;
    public const MIN_PRICE_CATEGORY = 4;
    public const EVERY_UNIT_PRODUCT = 5;
    public const DELIVERY_METHOD = 6;
    public const PAY_METHOD = 7;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::MIN_PRICE_ORDER,
            self::MIN_PRICE_BRAND,
            self::MIN_PRICE_CATEGORY,
            self::EVERY_UNIT_PRODUCT,
            self::DELIVERY_METHOD,
            self::PAY_METHOD,
        ];
    }
}
